# Table of content

* [Read Me](/README.md)
* [Introduction](/docs/introduction/README.md)
  * [Motivation](/docs/introduction/Motivation.md)
  * [Features](/docs/introduction/Features.md)
  * [Configuration](/docs/introduction/Configuration.md)
  * [Examples](/docs/introduction/Examples.md)
* [Glossary](/docs/Glossary.md)
* [API Reference](/docs/api/README.md)
  * [Creational](/docs/api/Creational/README.md)
    * [static empty()](/docs/api/Creational/Empty.md)
    * [static from(source)](/docs/api/Creational/From.md)
    * [static getWhile(condition, provider)](/docs/api/Creational/GetWhile.md)
    * [static range(start = 0, end, step = 1)](/docs/api/Creational/Range.md)
    * [static repeat(...params, times)](/docs/api/Creational/Repeat.md)
    * [static while(condition, provider)](/docs/api/Creational/While.md)
  * [Converters](/docs/api/Converters/README.md)
    * [releaseToFormat(format)](/docs/api/Converters/ReleaseToFormat.md)
    * [releaseToType(type)](/docs/api/Converters/ReleaseToType.md)
    * [toArray()](/docs/api/Converters/ToArray.md)
    * [toDictionary(keySelector, elementSelector)](/docs/api/Converters/ToDictionary.md)
    * [toFormat(format)](/docs/api/Converters/ToFormat.md)
    * [toIterator()](/docs/api/Converters/ToIterator.md)
    * [toJSON()](/docs/api/Converters/ToJSON.md)
    * [toList()](/docs/api/Converters/ToList.md)
    * [toLocaleString()](/docs/api/Converters/ToLocaleString.md)
    * [toMap(keySelector, elementSelector)](/docs/api/Converters/ToMap.md)
    * [toObject()](/docs/api/Converters/ToObject.md)
    * [toSet()](/docs/api/Converters/ToSet.md)
    * [toString(separator = ',')](/docs/api/Converters/ToString.md)
    * [toType(type)](/docs/api/Converters/ToType.md)
  * [Sql Like](/docs/api/SqlLike/README.md)
    * [aggregate(callback, initialValue)](/docs/api/SqlLike/Aggregate.md)
    * [aggregateRight(callback, initialValue)](/docs/api/SqlLike/AggregateRight.md)
    * [cast(type)](/docs/api/SqlLike/Cast.md)
    * [count(predicate = trueFunction)](/docs/api/SqlLike/Count.md)
    * [delete(...items)](/docs/api/SqlLike/Delete.md)
    * [distinct()](/docs/api/SqlLike/Distinct.md)
    * [except(source)](/docs/api/SqlLike/Except.md)
    * [first()](/docs/api/SqlLike/First.md)
    * [firstOrDefault(default)](/docs/api/SqlLike/FirstOrDefault.md)
    * [groupBy(keySelector, elementSelector, resultSelector, comparer = Enumerable deep comparison)](/docs/api/SqlLike/GroupBy.md)
    * [groupJoin(inner, outerKeySelector, innerKeySelector, resultSelector, comparer = Enumerable deep comparison)](/docs/api/SqlLike/GroupJoin.md)
    * [having(callback, thisArg)](/docs/api/SqlLike/Having.md)
    * [insert(...items)](/docs/api/SqlLike/Insert.md)
    * [intersect(source)](/docs/api/SqlLike/Intersect.md)
    * [join(inner, outerKeySelector, innerKeySelector, resultSelector, comparer = Enumerable deep comparison)](/docs/api/SqlLike/Join.md)
    * [last()](/docs/api/SqlLike/Last.md)
    * [lastOrDefault(default)](/docs/api/SqlLike/LastOrDefault.md)
    * [orderBy(...getValues = identityFunction)](/docs/api/SqlLike/OrderBy.md)
    * [orderByAscending(...getValues = identityFunction)](/docs/api/SqlLike/OrderByAscending.md)
    * [orderByDescending(...getValues = identityFunction)](/docs/api/SqlLike/OrderByDescending.md)
    * [select(formatter = identityFunction)](/docs/api/SqlLike/Select.md)
    * [selectMany(formatter = identityFunction)](/docs/api/SqlLike/SelectMany.md)
    * [single(predicate)](/docs/api/SqlLike/Single.md)
    * [singleOrDefault(predicate, default)](/docs/api/SqlLike/SingleOrDefault.md)
    * [skip(n = 0)](/docs/api/SqlLike/Skip.md)
    * [skipLast(n = 0)](/docs/api/SqlLike/SkipLast.md)
    * [skipLastWhile(condition)](/docs/api/SqlLike/SkipLastWhile.md)
    * [skipWhile(condition)](/docs/api/SqlLike/SkipWhile.md)
    * [take(n = Enumerable length)](/docs/api/SqlLike/Take.md)
    * [takeLast(n = Enumerable length)](/docs/api/SqlLike/TakeLast.md)
    * [takeLastWhile(condition)](/docs/api/SqlLike/TakeLastWhile.md)
    * [takeWhile(condition)](/docs/api/SqlLike/TakeWhile.md)
    * [unionAll(source)](/docs/api/SqlLike/UnionAll.md)
    * [union(source)](/docs/api/SqlLike/Union.md)
    * [update(modifier)](/docs/api/SqlLike/Update.md)
    * [where(callback, thisArg)](/docs/api/SqlLike/Where.md)
  * [Array Like](/docs/api/ArrayLike/README.md)
    * [concat(source)](/docs/api/ArrayLike/Concat.md)
    * [copyWithin(target, start = 0, end = Enumerable length)](/docs/api/ArrayLike/CopyWithin.md)
    * [entries()](/docs/api/ArrayLike/Entries.md)
    * [every(callback)](/docs/api/ArrayLike/Every.md)
    * [includes(item)](/docs/api/ArrayLike/Includes.md)
    * [indexOf(item, start = 0)](/docs/api/ArrayLike/IndexOf.md)
    * [fill(value, start = 0, end = Enumerable length)](/docs/api/ArrayLike/Fill.md)
    * [filter(callback, thisArg)](/docs/api/ArrayLike/Filter.md)
    * [forEach(callback, thisArg)](/docs/api/ArrayLike/ForEach.md)
    * [keys()](/docs/api/ArrayLike/Keys.md)
    * [lastIndexOf(item, end = Enumerable length)](/docs/api/ArrayLike/LastIndexOf.md)
    * [map(callback, thisArg)](/docs/api/ArrayLike/Map.md)
    * [pop(callback = noop)](/docs/api/ArrayLike/Pop.md)
    * [push(...items)](/docs/api/ArrayLike/Push.md)
    * [reduce(callback, initialValue)](/docs/api/ArrayLike/Reduce.md)
    * [reduceRight(callback, initialValue)](/docs/api/ArrayLike/ReduceRight.md)
    * [reverse()](/docs/api/ArrayLike/Reverse.md)
    * [shift(callback = noop)](/docs/api/ArrayLike/Shift.md)
    * [slice(start = 0, end = Enumerable length)](/docs/api/ArrayLike/Slice.md)
    * [some(callback)](/docs/api/ArrayLike/Some.md)
    * [sort(compareFunction)](/docs/api/ArrayLike/Sort.md)
    * [splice(start, deleteCount)](/docs/api/ArrayLike/Splice.md)
    * [unshift(...items)](/docs/api/ArrayLike/Unshift.md)
  * [Others](/docs/api/Others/README.md)
    * [all(callback)](/docs/api/Others/All.md)
    * [allEqualTo(item)](/docs/api/Others/AllEqualTo.md)
    * [allValuesSame()](/docs/api/Others/AllValuesSame.md)
    * [any(callback)](/docs/api/Others/Any.md)
    * [avg(elementSelector = identityFunction)](/docs/api/Others/Avg.md)
    * [average(elementSelector = identityFunction)](/docs/api/Others/Average.md)
    * [clean()](/docs/api/Others/Clean.md)
    * [compare()](/docs/api/Others/Compare.md)
    * [concatAll()](/docs/api/Others/ConcatAll.md)
    * [contains(item)](/docs/api/Others/Contains.md)
    * [convert(type)](/docs/api/Others/Convert.md)
    * [defaultIfEmpty(...items)](/docs/api/Others/DefaultIfEmpty.md)
    * [dequeue(callback = noop)](/docs/api/Others/Dequeue.md)
    * [enqueue(...items)](/docs/api/Others/Enqueue.md)
    * [entire(func)](/docs/api/Others/Entire.md)
    * [equals(source)](/docs/api/Others/Equals.md)
    * [flatten()](/docs/api/Others/Flatten.md)
    * [isEmpty()](/docs/api/Others/IsEmpty.md)
    * [max(elementSelector = identityFunction)](/docs/api/Others/Max.md)
    * [min(elementSelector = identityFunction)](/docs/api/Others/Min.md)
    * [multiply(elementSelector = identityFunction)](/docs/api/Others/Multiply.md)
    * [ofType(type)](/docs/api/Others/OfType.md)
    * [product(elementSelector = identityFunction)](/docs/api/Others/Product.md)
    * [release(func)](/docs/api/Others/Release.md)
    * [remove(...items)](/docs/api/Others/Remove.md)
    * [sequenceEqual(source)](/docs/api/Others/SequenceEqual.md)
    * [shuffle()](/docs/api/Others/Shuffle.md)
    * [sum(elementSelector = identityFunction)](/docs/api/Others/Sum.md)
* [Change Log](/CHANGELOG.md)
* [Authors](/docs/Authors.md)
* [Chat](/docs/Chat.md)
